Subject: Re: linux-next: manual merge of the rcu tree with the tip tree

From: Peter Zijlstra <[email-masked]>
Date: Thu, 19 Dec 2019 09:41:55 +0100

On Wed, Dec 18, 2019 at 05:31:51PM -0800, Paul E. McKenney wrote:
> On Wed, Dec 18, 2019 at 05:27:26PM -0800, Paul E. McKenney wrote:
> > On Thu, Dec 19, 2019 at 11:50:35AM +1100, Stephen Rothwell wrote:
> > > Hi all,
> > > 
> > > Today's linux-next merge of the rcu tree got a conflict in:
> > > 
> > >   kernel/cpu.c
> > > 
> > > between commit:
> > > 
> > >   45178ac0cea8 ("cpu/hotplug, stop_machine: Fix stop_machine vs hotplug order")
> > > 
> > > from the tip tree and commit:
> > > 
> > >   d62c673f4cfc ("cpu/hotplug, stop_machine: Fix stop_machine vs hotplug order")
> > > 
> > > from the rcu tree.
> > > 
> > > I fixed it up (I just used the tip tree version) and can carry the fix
> > > as necessary. This is now fixed as far as linux-next is concerned, but
> > > any non trivial conflicts should be mentioned to your upstream maintainer
> > > when your tree is submitted for merging.  You may also want to consider
> > > cooperating with the maintainer of the conflicting tree to minimise any
> > > particularly complex conflicts.
> > 
> > I will pull this one out of the set that I mark for -next.  That way
> > I can test and you can avoid at least this one conflict.  ;-)
> 
> Heh.  And the reason that it conflicts is that I fixed at least one
> spelling error...  ;-)
> 
> Still, the one in tip is the official one, so I will proceed as planned.

Argh, my bad. I'd forgotten you'd already queued it, and I was holding
onto it to make sure it didn't get lost. Now we haz it twice.